Bug 166798 - [PATCH] unbreak security/snort WITH_SNORTSAM
Summary: [PATCH] unbreak security/snort WITH_SNORTSAM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 20:20 UTC by Michael Scheidell
Modified: 2012-04-20 23:00 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Scheidell freebsd_committer 2012-04-09 20:20:14 UTC
- Unbreak snort when WITH_SNORTSAM defined
- No PORTREVISION bump

Fix: this patch.
patch is currenty hosted in my public freebsd directory for testing but does call official source first.
patch has been looked at, and tested in house, and published on several email lists as well.
tinderbox logs show no leftovers, all compiled just fine.
(Frank: location and checksum below, please put into usual place. Thanks)



______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________--MC2kbJUjpCw9lUhtcemSYd103EDSzt4EhtomfncjEg4yLvUq
Content-Type: text/plain; name="snortsam.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="snortsam.patch"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/security/snort/Makefile,v
retrieving revision 1.153
diff -u -r1.153 Makefile
--- Makefile	30 Mar 2012 15:26:53 -0000	1.153
+++ Makefile	9 Apr 2012 19:02:51 -0000
@@ -175,11 +175,11 @@
 .endif
 
 .if defined(WITH_SNORTSAM)
-BROKEN=		current snortsam patch results in build failures
 USE_AUTOTOOLS+=	automake
 USE_GNOME=	pkgconfig
-PATCH_SITES+=	http://www.snortsam.net/files/snort-plugin/:snortsam
-PATCHFILES+=	snortsam-2.9.1.2.diff.gz:snortsam
+PATCH_SITES+=	http://www.snortsam.net/files/snort-plugin/:snortsam \
+		http://people.freebsd.org/~scheidell/:snortsam
+PATCHFILES+=	snortsam-2.9.2.2.diff.gz:snortsam
 .endif
 
 post-patch:
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/security/snort/distinfo,v
retrieving revision 1.79
diff -u -r1.79 distinfo
--- distinfo	27 Mar 2012 23:14:20 -0000	1.79
+++ distinfo	9 Apr 2012 19:02:51 -0000
@@ -1,4 +1,4 @@
 SHA256 (snort-2.9.2.2.tar.gz) = 63f4eeee24d79e4a4e4b573e085d0d2fd78fcf3b7ea730c37eab7b47fcd9b954
 SIZE (snort-2.9.2.2.tar.gz) = 6529966
-SHA256 (snortsam-2.9.1.2.diff.gz) = 712017ee8155c28469de81d7a579899034b2965617fd3c29bac03c1a1484067e
-SIZE (snortsam-2.9.1.2.diff.gz) = 28902
+SHA256 (snortsam-2.9.2.2.diff.gz) = 61c6104778a1cd2d0795be0a7b3d67460955e5ffab392852a930b167c1fe27f2
+SIZE (snortsam-2.9.2.2.diff.gz) = 28987
How-To-Repeat: 
make -DWITH_SNORTSAM.
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2012-04-09 23:34:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

I'll take it.
Comment 2 Ryan Steinmetz freebsd_committer freebsd_triage 2012-04-12 12:19:45 UTC
State Changed
From-To: open->analyzed

Waiting for upstream acceptance of patch.
Comment 3 dfilter service freebsd_committer 2012-04-20 22:58:04 UTC
zi          2012-04-20 21:57:56 UTC

  FreeBSD ports repository

  Modified files:
    security/snort       Makefile distinfo 
  Log:
  - Unbreak SNORTSAM support
  - Do not bump PORTREVISION for non-default OPTION
  
  PR:             ports/166798
  Submitted by:   scheidell@
  Obtained from:  snortsam.net
  
  Revision  Changes    Path
  1.154     +2 -3      ports/security/snort/Makefile
  1.80      +2 -2      ports/security/snort/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ryan Steinmetz freebsd_committer freebsd_triage 2012-04-20 22:58:21 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!